petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMPlexGetAdjacencyUseCone

Query whether adjacency in the mesh uses the cone or the support first

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetAdjacencyUseCone(DM dm, PetscBool *useCone)

### Input Parameter

dm -The DM object

### Output Parameter

useCone -Flag to use the cone first

### Notes

        FEM:   Two points p and q are adjacent if q \in closure(star(p)),   useCone = PETSC_FALSE, useClosure = PETSC_TRUE

        FVM:   Two points p and q are adjacent if q \in support(p+cone(p)), useCone = PETSC_TRUE,  useClosure = PETSC_FALSE

        FVM++: Two points p and q are adjacent if q \in star(closure(p)),   useCone = PETSC_TRUE,  useClosure = PETSC_TRUE

### See Also

DMPlexSetAdjacencyUseCone(), DMPlexSetAdjacencyUseClosure(), DMPlexGetAdjacencyUseClosure(), DMPlexDistribute(), DMPlexPreallocateOperator()

Level:intermediate
Location:src/dm/impls/plex/plexdistribute.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages